#!/usr/bin/env sh



#--------[ FAKE//OS Manager: Remove/Uninstall Software ]--------#
_fake_manager_package_remove () {



    #--------[ Basic Error Handeling ]--------#
    if [ ! "$2" ]; then
        _fake_layout_message "Error" "Must specify packages..."



    #--------[ Parse Package Arguments ]--------#
    else
        FAKE_PACKAGES=$(echo "$@" | sed -e 's/^remove\ //g')



        #--------[ Compile Command ]--------#
        FAKE_CMD=""
        case $FAKE_MANAGER in
            apt) FAKE_CMD="sudo apt -y remove $FAKE_PACKAGES" ;;
            apk) FAKE_CMD="sudo apk del $FAKE_PACKAGES" ;;
            yum) FAKE_CMD="sudo yum -y remove $FAKE_PACKAGES" ;;
            pacman) FAKE_CMD="sudo pacman --noconfirm -R $FAKE_PACKAGES" ;;
            paru) FAKE_CMD="paru --noconfirm -R $FAKE_PACKAGES" ;;
        esac



        #--------[ Print Info ]--------#
        _fake_layout_message "Remove" "$FAKE_CMD" "remove" "$FAKE_PACKAGES"




        #--------[ Run Command ]--------#
        $FAKE_CMD



    fi
}
