#!/usr/bin/env sh



#--------[ Start System Daemons ]--------#
_fake_manager_system_status () {



    #--------[ Basic Error Handeling ]--------#
    if [ ! "$2" ]; then
        _fake_layout_message "Error" "Must specify system daemon(s)..."
        echo ""



    #--------[ Parse System Daemons ]--------#
    else
        TMP_DAEMONS=$(echo "$@")
        TMP_DAEMONS=$(echo "$TMP_DAEMONS" | sed -e 's/^status\ //g')



        #--------[ Print Command information ]--------#



        #--------[ Loop Through Daemons ]--------#
        for TMP_DAEMON in $TMP_DAEMONS; do
            _fake_layout_message "Daemon Status" "$TMP_DAEMON"
            case $ENV_INIT in
                "systemd") systemctl status $TMP_DAEMON ;;
                "openrc") rc-service $TMP_DAEMON status ;;
            esac
            echo ""
        done



    fi
}
