#!/usr/bin/env sh



# $1 - Search String
# $2 - Replace String
# $3 - System config file location



#--------[ Regex Find/Replace Config File ]--------#
_fake_utils_config_regex () {



    #--------[ Backup Original Config ]--------#
    _fake_utils_config_backup ${3}



    #--------[ Message Output ]--------#
    _fake_layout_message "Regex Find and Repalce" "${3}" "search" "${1}" "replace" "${2}"



    #--------[ Parse and Clean Variables ]--------#
    TMP_SEARCH="$1"
    TMP_SEARCH="$(echo $TMP_SEARCH | sed 's/\//\\\//g' )"
    TMP_SEARCH="$(echo $TMP_SEARCH | sed 's/\%/\\\%/g' )"

    TMP_REPLACE="$2"
    TMP_REPLACE="$(echo $TMP_REPLACE | sed 's/\//\\\//g' )"
    TMP_REPLACE="$(echo $TMP_REPLACE | sed 's/\%/\\\%/g' )"

    TMP_PATH="$3"



    #--------[ Regex Find/Replace Config ]--------#
    sed -i "s/$TMP_SEARCH/$TMP_REPLACE/g" $TMP_PATH
    echo ""



    #--------[ Debugging ]--------#
    if [ "$FAKE_MODE_SLOW" ]; then sleep 3; fi
}
