#!/usr/bin/env sh



#--------[ Detect Virtual/Container Environment ]--------#
if [ ! "$(cat /proc/1/environ 2>&1 | tr -d '\0' | grep denied)" ]; then
    if [ "$(cat /proc/1/environ | tr -d '\0' | grep lxc)" ]; then
        export ENV_VIRTUAL="LXC"
        export ENV_VTAG="[LXC]"
    elif [ "$ENV_MAKE" == "QEMU" ]; then
        export ENV_VIRTUAL="VM"
        export ENV_VTAG='[QEMU]'
    else
        export ENV_VIRTUAL="REAL"
    fi
    echo $ENV_VIRTUAL > /var/cache/fake-os/env_virtual.txt
else
    if [ -f /var/cache/fake-os/env_virtual.txt ]; then
        export ENV_VIRTUAL="$(cat /var/cache/fake-os/env_virtual.txt)"
        if [ "$ENV_VIRTUAL" != "REAL" ]; then ENV_VTAG="[$ENV_VIRTUAL]"; fi
    else
        export ENV_VIRTUAL="UNKNOWN"
    fi
fi
