#!/usr/bin/env sh



#--------[ FAKE//OS Manager: Help ]--------#
_fake_manager_help () {
    echo ""
    echo "FAKE//OS [version] $ENV_FAKE_VERSION"
    echo "-----------------------------------"
    echo "usage: fake <command> <arguments>"
    echo ""
    echo "Package management commands:"
    echo "  install    Install new software packages"
    echo "  update     Update installed software packages"
    echo "  remove     Remove/Uninstall software packages"
    echo "  search     Search repository for software packages"
    echo ""
    echo "Init/System management commands"
    echo "  start      Start system daemons"
    echo "  stop       Stop system daemons"
    echo "  restart    Restart system daemons"
    echo "  enable     Add system daemons to default startup PID"
    echo "  disable    Remove system daemons from default startup PID"
    echo "  flush      Clear system caches"
    echo ""
    echo "FAKE//OS commands:"
    echo "  upgrade    Upgrade FAKE//OS to latest git version"
    echo "  help       Display this help screen"
    echo ""
}
