#!/usr/bin/env sh



#--------[ FAKE//OS Manager: Automation Function ]--------#
_fake_manager_package_automation () {



    #--------[ Parse Input Command ]--------#
    FAKE_CMD="$@"



    #--------[ 4x Automatic Attmepts ]--------#
    FAKE_RETRY=0
    until $FAKE_CMD; do
        ((FAKE_RETRY=FAKE_RETRY+1))
        if [ $FAKE_RETRY -eq 4 ]; then break; fi
        _fake_layout_message "Error" "Auto-Retry -> Attempt $FAKE_RETRY..." "retry" "$FAKE_CMD"
    done



    #--------[ 1x Manual Attempt ]--------#
    if [ $FAKE_RETRY -eq 4 ]; then
        FAKE_CMD=$(echo $FAKE_CMD | sed -e 's/--noconfirm//g')
        FAKE_CMD=$(echo $FAKE_CMD | sed -e 's/-y//g')
        _fake_layout_message "Error" "Auto-Retry -> Attempt 4 [FINAL]..." "retry" "$FAKE_CMD"
        $FAKE_CMD



        #--------[ Autmation Failure ]--------#
        if [ $? -ne 0 ]; then
            ((FAKE_RETRY=FAKE_RETRY+1))
            _fake_layout_message "Error" "$FAKE_CMD" "message" "Failed after 4x Auto and 1x Manual attempts..."
            _fake_debug_error_pause
        fi
    fi



}
