#!/usr/bin/env sh



#--------[ Disable Default System Daemons ]--------#
_fake_manager_system_disable () {



    #--------[ Basic Error Handeling ]--------#
    if [ ! "$2" ]; then
        _fake_layout_message "Error" "Must specify system daemon(s)..."



    #--------[ Parse System Daemons ]--------#
    else
        TMP_DAEMONS=$(echo "$@" | sed -e 's/^disable\ //g')



        #--------[ Print Command information ]--------#
        _fake_layout_message "Disable Default Init Deamon(s)" "$TMP_DAEMONS"



        #--------[ Loop Through Daemons ]--------#
        for TMP_DAEMON in $TMP_DAEMONS; do
            case $ENV_INIT in
                "systemd") sudo systemctl disable $TMP_DAEMON ;;
                "openrc") sudo rc-update del $TMP_DAEMON ;;
            esac
        done



    fi
}
