#!/usr/bin/env sh



#--------[ Start System Daemons ]--------#
_fake_manager_system_start () {



    #--------[ Basic Error Handeling ]--------#
    if [ ! "$2" ]; then
        _fake_layout_message "Error" "Must specify system daemon(s)..."



    #--------[ Parse System Daemons ]--------#
    else
        TMP_DAEMONS=$(echo "$@")
        TMP_DAEMONS=$(echo "$TMP_DAEMONS" | sed -e 's/^start\ //g')
        TMP_DAEMONS=$(echo "$TMP_DAEMONS" | sed -e 's/^restart\ //g')



        #--------[ Print Command information ]--------#
        if [ "$1" == "start" ]; then _fake_layout_message "Start Deamon(s)" "$TMP_DAEMONS"; fi



        #--------[ Loop Through Daemons ]--------#
        for TMP_DAEMON in $TMP_DAEMONS; do
            case $ENV_INIT in
                "systemd") sudo systemctl start $TMP_DAEMON ;;
                "openrc") sudo rc-service $TMP_DAEMON start ;;
            esac
        done
        if [ "$1" == "start" ]; then echo ""; fi



    fi
}
