#!/usr/bin/env sh



# $1 - New FAKE//OS config file
# $2 - System config file location



#--------[ Add To Config File ]--------#
_fake_utils_config_add () {



    #--------[ Bakup Original Config ]--------#
    _fake_utils_config_backup ${2}



    #--------[ Message Output ]--------#
    _fake_layout_message "Append Config" "${2}" "new" "${1}" "cat" "${2}.original + ${2}.fake > ${2}"



    #--------[ Append Config ]--------#
    mkdir -p $(dirname $2)
    cp -r "${1}" "${2}.fake"
    cat "${2}.original" > "${2}"
    cat "${2}.fake" >> "${2}"
    echo ""



    #--------[ Debugging ]--------#
    if [ "$FAKE_MODE_SLOW" ]; then sleep 3; fi
}
