#!/usr/bin/env sh



# $1 - New FAKE//OS config file
# $2 - System config file location



#--------[ Restore Config File ]--------
_fake_utils_config_restore () {
    if [ -f "${1}.original" ]; then
        cp -r "${1}" "${1}.original"
        if [ $? == 0 ]; then
          _fake_layout_message "Restore Config" "${1}" "backup" "${1}.original"
          cp -rv "${1}.original" "${1}"
        fi
    else
        _fake_layout_message "Error" "No backup avaiable" "missing" "${1}.original"
    fi
}
