#!/usr/bin/env sh



#--------[ Cache Clear ]--------#
_fake_utils_linux_flushcache () {



    #--------[ Flush System Cache In Memory ]--------#
    TMP_MEM_PRE=$(free -h | grep 'Mem:' |  awk '{ print $4}')
    echo ""
    sudo -u root $ENV_SHELL -c "sync; echo 3 > /proc/sys/vm/drop_caches"
    TMP_MEM_POST=$(free -h | grep 'Mem:' |  awk '{ print $4}')
    _fake_layout_message "Clear Cache" "echo 3 > /proc/sys/vm/drop_caches" "free memory" "$TMP_MEM_PRE -> $TMP_MEM_POST"



    #--------[ Flush DNS Cache ]--------#
    if [ "$(command -v systemctl)" ]; then
        sudo systemd-resolve --flush-caches
        sudo resolvectl flush-caches
    elif [ "$(command -v ndsmasq)" ]; then
        sudo killall -HUP dnsmasq
    fi
}
